AA-CTTY(1)

NAME
aa-ctty - Helper for execline script to set controlling terminal

SYNOPSIS
aa-ctty [-D] [-f FD] [-s] PROG...

OPTIONS

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-f, --fd FD
    Use file descriptor FD as terminal; Defaults to stdin (0).

-h, --help
    Show help screen and exit.

-s, --steal
    Steal controlling terminal if already controlling terminal of a different session.

-V, --version
    Show version information and exit.

DESCRIPTION
aa-ctty(1) will set the controlling terminal (via ioctl(TIOCSCTTY)) to that of the device open as file descriptor 0, or specified with --fd. In typical execline fashion, it then executes into the rest of its command line.

If the ioctl call fails, a warning is printed and it still executes into the rest of its command line. If it fails to do so, it returns 111.

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>